/**
 * Author: Valerio Schiavoni <valerio.schiavoni@gmail.com>
 */
package org.objectweb.fractal.bf;

/**
 * A service interface with non primitive-types
 */
public interface ComplexService {
	Product getProduct();

	Product getProductById(int i);

	Product getCompanionProductOf(Product p);

	boolean isAvailable(Product p);

	ProductMaker makerOf(Product p);
}
