/**
 * Author: Valerio Schiavoni <valerio.schiavoni@gmail.com>
 */

package org.objectweb.fractal.bf;

import java.io.Serializable;

/**
 * A product.
 */
public class Product implements Serializable {
	private static final long serialVersionUID = 666041723856279624L;
	String name;
	int id;

	public final String getName() {
		return name;
	}

	public final void setName(String name) {
		this.name = name;
	}

	public final int getId() {
		return id;
	}

	public final void setId(int id) {
		this.id = id;
	}

	@Override
	public String toString() {
		return "[name:" + this.name + ";id:" + this.id + "]";
	}

}
